var numberOfPages = 5; 

class createPages extends Paged.Handler{
	constructor(chunker, polisher, caller){
		super(chunker, polisher, caller);
	}

	beforeParsed(content){ 
		for(var i = 0; i < numberOfPages; i++){
			var section = document.createElement('section');
			content.appendChild(section)
		}
	}
}
Paged.registerHandlers(createPages);

class usePcinq extends Paged.Handler{
	constructor(chunker, polisher, caller){
		super(chunker, polisher, caller);
		this.co = 0;
	}

	afterRendered(pages){
		var counter = 0;
		pages.forEach(page => {	
			this.co++;
			counter++;
			if(page.position > 0) {
				var container 	= page.element.querySelector('section');
				var div 		= document.createElement('div');
				div.id 			= "myContainer" + this.co;
				
				setTimeout(function(counter){
					p5one(div);
				},1000*(counter*2));
				
				container.appendChild(div);
			}
		})
	}
}
Paged.registerHandlers(usePcinq);


function p5one(div) {
	const s = ( p ) => {
		var giz = [];
		var num = 100; 
		p.setup = function() {
		  p.createCanvas(400, 400);
		  p.background (255);
		  p.stroke (0);
		   
		  for (var i=0; i < num; i++) {
		    var x = p.random (400);
		    var y = p.random (400);
		    giz[i] = new Gizmo (x, y, p);
		  }
		}

		function Gizmo(_x,_y, p) {
		   
		  this.spin = 0.15;
		  this.position    = p.createVector(_x, _y);
		  this.direction   = p.createVector();
		  this.direction.x = p.random (-1, 1);
		  this.direction.y = p.random (-1, 1);
		   
		  this.move = function() {
		    this.direction.x += p.random (-this.spin, this.spin);
		    this.direction.y += p.random (-this.spin, this.spin);
		    this.direction.normalize();
		    this.position.add (this.direction);
		     
		    if (this.position.x < 0 || this.position.x > 400) {
		      this.direction.x *= -1;
		    }
		    if (this.position.y < 0 || this.position.y > 400) {
		      this.direction.y *= -1;
		    }
		  }
		}
 
	p.draw = () => {
	  p.noStroke();
	  p.stroke (0);
	  for (var i=0; i < giz.length; i++) {
	    giz[i].move();
	    p.point (giz[i].position.x, giz[i].position.y);
	  }
	}

	};

	let myp5 = new p5(s, div);
}
